<?php
	$root_folder = dirname(dirname(dirname(dirname(__FILE__))));
	require_once($root_folder.'/wp-load.php');
	require_once($root_folder.'/wp-admin/includes/admin.php');

	do_action('admin_init');
	if ( !is_user_logged_in()){
            	die('You must be logged in to access this script.');
        }
	
        $links = array();
        
        $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
	$results =$wpdb->get_results("SELECT * FROM $redirect_table", ARRAY_A);
        if($results) {
            $siteurl = get_option('siteurl');
            $prefix_val = get_option(JNG_OPTION_NAME);
            foreach($results as $record) {
                        $target = $record['id'].'$:$'.$siteurl . '/' . $prefix_val . '/' . $record['link_key'];
			$links[$record['link_key']] = $target;
            }
	}
        $wpc_linkz_array_size = count($links);
        $wpc_linkz_counter =1;
        $values_array = '';
         foreach($links as $url => $title){ 
                $values_array .= "{text:'".$url."',value:'".$title."'}";
                if($wpc_linkz_counter < $wpc_linkz_array_size){
                    $values_array .= ',';
                }
                $wpc_linkz_counter++;
         }
?>
(function() {
    tinymce.create('tinymce.plugins.SuperCloakSamurailTinyMCE', {
        init: function(ed, url) {

            ed.addButton('SuperCloakSamurailTinyMCE', {
                type: 'listbox',
                text: 'Campaign',
                icon: false,
                onselect: function(v) {
                    var selection = tinyMCE.activeEditor.selection.getContent();
                    // alert("S="+selection);
                    var linkText = selection === '' ? 'link text...' : selection;
                    var cloakedLinkValue = this.value();
                    var array_val = cloakedLinkValue.split('$:$');
                    var httpLink = array_val[1];
                    var linkDbId = array_val[0];
                    var insert = '<input value="' + linkDbId + '" class="cloak-view-tracker" type="hidden"/><a href="' + httpLink + '" target="_blank">' + linkText + '</a>';
                    tinyMCE.activeEditor.selection.setContent(insert);
                },
               
                values: [<?php echo $values_array ?>],
                onPostRender: function() {
                }
            });
        },
        /**
         * Returns information about the plugin as a name/value array.
         * The current keys are longname, author, authorurl, infourl and version.
         *
         * @return {Object} Name/value array containing information about the plugin.
         */
        getInfo: function() {
            return {
                longname: 'SuperCloakSamurailTinyMCE',
                author: 'marquex',
                authorurl: 'http://marquex.es',
                infourl: 'http://marquex.es/387/adding-a-select-box-to-wordpress-tinymce-editor',
                version: "0.1"
            };
        }
    });

    // Register plugin
    tinymce.PluginManager.add('SuperCloakSamurailTinyMCE', tinymce.plugins.SuperCloakSamurailTinyMCE);
})();
