<?php
	$root_folder = dirname(dirname(dirname(dirname(__FILE__))));
	require_once($root_folder.'/wp-load.php');
	require_once($root_folder.'/wp-admin/includes/admin.php');

	do_action('admin_init');
	if ( !is_user_logged_in()){
            	die('You must be logged in to access this script.');
        }
	
        $links = array();
        
        $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
	$results =$wpdb->get_results("SELECT * FROM $redirect_table", ARRAY_A);
        if($results) {
            $siteurl = get_option('siteurl');
            $prefix_val = get_option(JNG_OPTION_NAME);
            foreach($results as $record) {
                        $target = $record['id'].'$:$'.$siteurl . '/' . $prefix_val . '/' . $record['link_key'];
			$links[$record['link_key']] = $target;
            }
	}
	
?>

(function() {
	tinymce.create('tinymce.plugins.SuperCloakSamurailTinyMCE', {
		
		init : function(ed, url) {
			
		},
		
		createControl : function(n, cm) {
			if(n=='SuperCloakSamurailTinyMCE'){
                var mlb = cm.createListBox('SuperCloakSamurailTinyMCEList', {
                     title : 'Cloaked Links',
                     onselect : function(v) { //Option value as parameter
                     	var selection = tinyMCE.activeEditor.selection.getContent();
			var linkText = selection == '' ? 'link text...' : selection;
                        var array_val = v.split('$:$');
                        v = array_val[1];
                        v1 = array_val[0];
                        var insert = '<input value="' + v1 + '" class="cloak-view-tracker" type="hidden"/><a href="' + v + '" target="_blank">' + linkText + '</a>';
                       	tinyMCE.activeEditor.selection.setContent(insert);
                     }
                });
	<?php foreach($links as $url => $title): ?>
                mlb.add('<?php echo $url;?>', '<?php echo $title;?>');
        <?php endforeach;?>
				
                return mlb;
             }
             
             return null;
		},

		/**
		 * Returns information about the plugin as a name/value array.
		 * The current keys are longname, author, authorurl, infourl and version.
		 *
		 * @return {Object} Name/value array containing information about the plugin.
		 */
		getInfo : function() {
			return {
				longname : 'SuperCloakSamurailTinyMCE',
				author : 'marquex',
				authorurl : 'http://marquex.es',
				infourl : 'http://marquex.es/387/adding-a-select-box-to-wordpress-tinymce-editor',
				version : "0.1"
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('SuperCloakSamurailTinyMCE', tinymce.plugins.SuperCloakSamurailTinyMCE);
})();