<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of WPSChRequestProcessor
 *
 * @author felix.ike
 */
class WPSChRequestProcessor {
    
    function jng_process_request() {
    //process get requests
    if (array_key_exists("do", $_GET)) {
        $do = $_GET["do"];
        switch ($do) {
            case "edit":
                //redirect to edit page with link id 
                $id = $_GET["id"];
                if (!$id) {
                    return true;
                }
                jng_add_new_form(null, null, $id);
                break;
            case "delete":
                jng_delete();
                break;
            case 'analytics':
                $id = $_GET["id"];
                if (!$id) {
                    return true;
                }
                jng_display_analytics($id);
                break;
            default:
                //redirect to home
                $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING);
                wp_redirect($red_link, 301);
                exit;
        }
    } else {
        //Post requests are processed here
        if (array_key_exists(JNG_HIDDEN, $_POST)) {
            $action = $_POST[JNG_HIDDEN];
            if ($action) {
                switch ($action) {
                    case "save_link":
                        jng_add_new();
                        break;
                    case "update_prefix":
                        jng_update_prefix();
                        break;
                    case "edit_link":
                        //update database with new values 
                        jng_add_new(true);
                        break;
                    case "csv":
                        //import csv
                        jng_import_to_db();
                        break;
                    case "delete_selected_bot":
                        //delete selected bots
                        $botManager = new BotManager();
                        $botManager->delete_selected_bots();
                        break;
                    case "add_bots":
                        //delete selected bots
                        $botManager = new BotManager();
                        $botManager->add_new_bots();
                        break;
                    case "export_delete_action":
                        $action = $_POST['jng_chosen_action'];
                        if (trim($action) == 'delete_some') {
                            //call delete
                            jng_delete_all(TRUE);
                        } else {
                            //export csv
                            jng_export_to_csv();
                        }
                        break;
                    case "post_delete":
                        //call delete
                        jng_delete_all();
                        break;
                }
            }
        } else {
            return true;
        }
    }
    return false;
}
}
