<?php

//Display form for creating new redirect link
function jng_add_new_form($link_key = null, $link_target = null, $link_id = null) {
    if ($link_id) {
        global $wpdb;
        $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
        $query = "SELECT id,link_key,link_target,link_keywords FROM  $redirect_table WHERE id=$link_id";
        $result = $wpdb->get_row($query, ARRAY_A);
        $link_key = $result["link_key"];
        $link_target = $result["link_target"];
        $link_keywords = $result["link_keywords"];
    }
    ?>
    <div style="float:left;">

        <?php
        if (!$link_id) {
            echo "<h3>Create New Campaign </h3>";
            $chimp_button_text = "Create Campaign";
        } else {
            echo "<h3>Update Campaign </h3>";
            $chimp_button_text = "Update Campaign";
        }
        ?>
        <form action="admin.php?page=<?php echo JNG_LINK_CLOAK_ADD ?>" method="post">
            <input type="hidden" name="<?php echo JNG_HIDDEN ?>" value="<?php
            if ($link_id) {
                echo 'edit_link';
            } else {
                echo 'save_link';
            }
            ?>"/>
            <input type="hidden" name="link_id" value="<?php echo $link_id ?>"/>
            <div class="wp--sales-prefix-container1">
                <div class="wp---head">Campaign Name</div>
                <div class="wp-add-new-cont">
                    <input required style="width: 100%; padding: 0.8em;" name="link_key" type="text" value="<?php echo $link_key ?>" placeholder="Link name"/>
                </div>
            </div>

            <br/>
            <br/>

            <div class="wp--sales-prefix-container1">
                <div class="wp---head">Campaign Target</div>
                <div class="wp-add-new-cont">
                    <input required style="width: 100%;  padding: 0.8em;" id="link_target" name="link_target" type="text" value="<?php echo $link_target ?>" placeholder="http://example.com"/>
                </div>
            </div>
            <div class="wp--sales-prefix-container1">
                <div class="wp---head">Campaign Keywords</div>
                <div class="wp-add-new-cont">
                    <input required style="width: 100%;  padding: 0.8em;" id="link_keywords" name="link_keywords" type="text" value="<?php echo $link_keywords ?>" placeholder="comma separated (e.g. keyword1,keyword2)"/>
                </div>
            </div>


            <br/>
            <div class="wp--sales-btn-cont ihv-neig" >
                <img src="<?php echo JNG_LINK_CLOAK_URL ?>/img/create.png"/>
                <input class="wp-sales-btn" type="submit" value="<?php echo $chimp_button_text ?>" />

                <div class="clearfix"></div>
            </div>
            <div class="wp--sales-btn-cont ihv-neig ihv-neig2">
                <a class="wp-sales-btn" href="admin.php?page=<?php echo JNG_LINK_CLOAK_LANDING ?>" class="button-primary">Back</a>


                <div class="clearfix"></div>
            </div>
            <div class="clearfix"></div>
        </form>
        <br/>
        <?php if (!$link_id): ?>
            <h2>Create Bulk Campaigns Easily</h2>
            <form class="ch--bulk-form" enctype="multipart/form-data" action="admin.php?page=<?php echo JNG_LINK_CLOAK_ADD ?>" method="post"  style="float:left;">
                <input type="hidden" name="<?php echo JNG_HIDDEN ?>" value="csv" />
                <input type="file" name="csv_file_import" style="float:left;" /> 
                <div class="wp--sales-btn-cont" style="float:left;">
                    <img src="<?php echo JNG_LINK_CLOAK_URL ?>/img/create.png"/>
                    <input class="wp-sales-btn" type="submit" value="Bulk Upload" />

                    <div class="clearfix"></div>
                </div>


                <div class="clearfix"></div>
                <p><a href='http://www.globalnotch.com/bulkupload.csv'>Get the CSV bulk import template here</a>&nbsp;&nbsp;<i>Ensure you save your template as .csv</i></p>
            </form>
        <?php endif ?>
    </div>
    <?php
}

//deprecated
function jng_display_analytics($link_id = null) {
    if ($link_id) {
        global $wpdb;
        $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
        $clicks_table = $wpdb->prefix . JNG_CLICK_TABLE;
        $sql = "SELECT id,link_key,link_target FROM  $redirect_table WHERE id=$link_id";
        $result = $wpdb->get_row($sql, ARRAY_A);
        $output = false;
        $format = false;
        $from = false;
        $to = false;
        $query = '';
        if ($_POST) {
            $format = $_POST['format'];
            $from = $_POST['from'];
            $to = $_POST['to'];
        }
        if ($format == 'hourly') {
            $query = "SELECT f_date,click_hour,link_clicks FROM  $clicks_table WHERE link_id=$link_id";
            if ($from) {
                $query .= " AND f_date >= '" . $from . "'";
            }
            if ($to) {
                $query .= " AND f_date <= '" . $to . "'";
            }
            $jng_analtytics_data = $wpdb->get_results($query, ARRAY_A);
            if ($jng_analtytics_data) {
                $output = "['Hours','Clicks']";
                foreach ($jng_analtytics_data as $j) {
                    $output.=",['" . $j['f_date'] . "  " . $j['click_hour'] . "'," . $j['link_clicks'] . "]";
                }
            }
        } else {
            $query = "SELECT f_date,SUM(link_clicks) as link_clicks FROM  $clicks_table WHERE link_id=$link_id";
            if ($from) {
                $query .= " AND f_date >= '" . $from . "'";
            }
            if ($to) {
                $query .= " AND f_date <= '" . $to . "'";
            }
            $query .= " GROUP BY f_date";
            $jng_analtytics_data = $wpdb->get_results($query, ARRAY_A);
            if ($jng_analtytics_data) {
                $output = "['Days','Clicks']";
                foreach ($jng_analtytics_data as $j) {
                    $output.=",['" . $j['f_date'] . "'," . $j['link_clicks'] . "]";
                }
            }
        }
        modal_Dialog_style();
        if ($output) {
            ?>

            <?php
        }
    }
}

function jng_view_all($prefix_val) {
    ?>
    <?php add_thickbox(); ?>

    <img style="width:100%;" src="<?php echo JNG_LINK_CLOAK_URL ?>/img/WPSC_header.png"/>
    <form action="admin.php?page=<?php echo JNG_LINK_CLOAK_LANDING ?>" method="post">
        <input type="hidden" name="<?php echo JNG_HIDDEN ?>" value="export_delete_action"/> 
        <div class="ex-cont">
            <div class="wp--sales-btn-cont ihv-neig bt bt-anchor" style="float: right;">
                <img src="<?php echo JNG_LINK_CLOAK_URL ?>/img/create.png"/>
                <a href="admin.php?page=<?php echo JNG_LINK_CLOAK_ADD ?>" class="wp-sales-btn"><?php _e('Create Campaign', 'jng_link_cloaker') ?></a> 
                <div class="clearfix"></div>
            </div>
            <div class="inner-ex-cont">

                <div style="float:left;margin-top: 5px">
                    <span>Choose action: </span>
                    <select name="jng_chosen_action">
                        <option value="csv">Export as CSV</option>
                        <option value="delete_some">Delete</option>
                    </select>
                </div>


                <div class="wp--sales-btn-cont ihv-neig bt" style="float:left;">

                    <input type="submit" value="Proceed" class="wp-sales-btn">
                    <div class="clearfix"></div>
                </div>
                <div class="clearfix"></div>
                <i>select links to export/delete or select none to export/delete all</i><br/>
            </div>


        </div>
        <div class="chimp-widefat--cont">
            <table class="widefat">
                <thead>
                    <tr>
                        <th></th>
                        <th>Campaign Name</th>
                        <th colspan="3" class="">Campaign URL</th>
                        <th style="text-align: center">Keywords</th>
                        <th style="text-align: center">Clicks</th>

                        <th style="text-align: center">Impressions</th>
                        <th style="text-align: center">CTR</th>
                        <th style="text-align: center">Analytics</th>
                        <th style="text-align: center">Edit</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $jng_links = jng_get_all_cloak_redirect_links(true);
                    $siteurl = get_option('siteurl');
                    if ($jng_links) {
                        foreach ($jng_links as $j):
                            $target = $siteurl . '/' . $prefix_val . '/' . $j['link_key'];
                            ?>
                            <tr class="alternate">
                                <td><input type="checkbox" name="jng_links[]" value="<?php echo $j["id"]; ?>"/></td>
                                <td>
                                    <strong class="row-title">
                                        <?php echo $j["link_key"]; ?><br/>

                                    </strong>
                                </td>
                                <td colspan="3">
                                    <a href=" <?php echo $target; ?>" target="_blank"><?php echo $target; ?></a><br/><br/>

                                    <strong>Target : </strong><a href="<?php echo $j["link_target"]; ?>"><?php echo $j["link_target"]; ?></a>
                                </td>
                                <td style="text-align: center"  class="">
                                    <?php
                                    if ($j['link_keywords']) {
                                        echo $j['link_keywords'];
                                    } else {
                                        echo '<i>No Keywords specified</i>';
                                    }
                                    ?>
                                </td>
                                <td style="text-align: center"  class="">
                                    <?php
                                    if ($j['link_clicks']) {
                                        echo $j['link_clicks'];
                                    } else {
                                        echo '0';
                                    }
                                    ?>
                                </td>


                                <td style="text-align: center"  class="">
                                    <?php
                                    if ($j['link_impressions']) {
                                        echo $j['link_impressions'];
                                    } else {
                                        echo '0';
                                    }
                                    ?>
                                </td>
                                <td style="text-align: center"  class="">
                                    <?php
                                    if ($j['link_clicks'] && $j['link_impressions']) {

                                        echo $j['link_impressions'] > 0 ? round((($j['link_clicks'] / $j['link_impressions']) * 100), 2) . "%" : "0%";
                                    } else {
                                        echo '0%';
                                    }
                                    ?>
                                </td>
                                <td style="text-align: center"  class="">
                                    <a class="analytics_link thickbox" data-id="<?php echo $j['id']; ?>" href="#TB_inline?width=900&height=495&inlineId=my-content-id" ><img class="chimp-actions-img" src="<?php echo JNG_LINK_CLOAK_URL ?>/img/analytics.png"/></a>
                                </td>
                                <td style="text-align: center" class="">
                                    <a href="admin.php?page=<?php echo JNG_LINK_CLOAK_LANDING ?>&do=edit&id=<?php echo $j['id']; ?>"><img class="chimp-actions-img" src="<?php echo JNG_LINK_CLOAK_URL ?>/img/edit.png"/></a>
                                </td>

                            </tr>
                            <?php
                        endforeach;
                    } else {
                        echo "<tr><td colspan='3'>Not Found</td></tr>";
                    }
                    ?>
                <tbody>
            </table>
        </div>




        <div id="my-content-id" style="display:none;">

            <div class="modal-header">
                <div class="jng_control_house">

                    <select class="jng_chart_view">
                        <option value="all">Change display</option>
                        <option value="all">All</option>
                        <option value='ctr'>CTR Only</option>
                        <option value='impresysions'>Impressions Only</option>
                        <option value='clicks'>Clicks Only</option>
                        <option value='ctr+impressions'>CTR + Impressions</option>
                        <option value='ctr+clicks'>CTR + Clicks</option>
                        <option value='clicks+impressions'>Clicks + Impressions</option>
                    </select>
                    <label>Range: </label>
                    <input id='jng_from' class='range_date' type="text" placeholder='From'> |
                    <input id='jng_to' class='range_date' type="text" placeholder='To'>
                    <a href="#" id="range_btn" class="button-primary">Go</a>
                    <a data-value='hourly' class='jng-format default-format' href="#">Hourly</a>|<a data-value='daily' class='jng-format' href="#">Daily</a>|<a data-value='weekly' class='jng-format' href="#">Weekly</a>|<a data-value='monthly' class='jng-format' href="#">Monthly</a>|<a data-value='yearly' class='jng-format' href="#">Yearly</a>


                </div>
                <div class='clearfix'></div>


            </div>
            <div class="modal-body">
                <div id="chart_div" style="width: 75%; height:90%;"></div>
                <img class="ajax-loader" src="<?php echo JNG_LINK_CLOAK_URL ?>img/ajax-loader.gif"/>
            </div>
            <a href="http://www.wpsaleschimp.com">www.wpsaleschimp.com</a>
        </div>

        <div class="wp--sales-btn-cont ihv-neig bt-anchor" style="position:relative;clear:both; margin:20px 0 20px 0">
            <img src="<?php echo JNG_LINK_CLOAK_URL ?>/img/create.png"/>
            <a href = "admin.php?page=<?php echo JNG_LINK_CLOAK_ADD ?>" class="wp-sales-btn"><?php _e('Create Campaign', 'jng_link_cloaker') ?></a> <br/>
        </div>
        <a href='http://www.completedailyreview.com'></a>
        <a href='http://www.usersreview.org '></a>
    </form>

    <?php
}

function jng_prefix_options_form($opt_val, $hidden_field_name, $data_field_name) {
    echo '<div id="icon-tools" class="icon32"><br/></div>';
// header
    echo "<h2>" . __('WP Sales Chimp Settings', 'jng-link-cloaker') . "</h2>";
    ?>

    <div class="wp--sales-prefix-container">
        <form action="admin.php?page=<?php echo JNG_LINK_CLOAK_LANDING ?>" method="post">
            <input type="hidden" name="<?php echo JNG_HIDDEN ?>" value="update_prefix"/> 
            <div class="wp---head">
                Prefix
            </div>
            <div class="jst-cont">
                <div style="margin:10px 0 20px 0;"><input required style="width: 100%;  padding: 0.8em;" type="text" name="<?php echo $data_field_name; ?>" value="<?php echo $opt_val ?>"/></div>
                <p>Prefix for url redirects, Eg. <?php echo get_option('siteurl') . '/<em>' . $opt_val . '</em>/link-name/'; ?></p>
            </div>
            <div class="wp--sales-btn-cont">
                <img src="<?php echo JNG_LINK_CLOAK_URL ?>/img/save.jpg"/>
                <input type="submit" name="submit" class="wp-sales-btn" value="Save" />
                <div class="clearfix"></div>
            </div><div class="clearfix"></div>
        </form>
    </div>
    <br>
    <br>

    <?php
}

function jng_wrap_footer() {
    echo "</div>";
}

function jng_menu_head() {
//must check that the user has the required capability 
    if (!current_user_can('manage_options')) {
        wp_die(__('You do not have sufficient permissions to access this page.'));
    }
    echo '<div class="wrap">';
    echo '<div id="icon-tools" class="icon32"><br/></div>';
// header
//echo "<h2>" . __('WP Sales Chimp Settings', 'jng-link-cloaker') . "</h2>";
    $messages = array(
        "prefix_update" => 'Settings updated successfully.',
        'lnk' => "Redirect link added successfully.",
        'deleted' => 'Redirect link removed successfully',
        'gng' => 'An error occurred while performing this operation!!',
        'updated' => "Redirect link Updated successfully",
        'dbdel' => "Link database deleted successfully",
        'exported' => "Links exported successfully",
        'bots_true' => "Selected bolts removed successfully",
        'bots_false' => "No bots removed",
        'add_bots_true' => "New bolts added successfully",
        'add_bots_false' => "No bots add"
    );
    if (array_key_exists("m", $_GET)) {
        $msg_key = $_GET['m'];
        if (array_key_exists($msg_key, $messages)) {
            ?>
            <div class="updated"><p><strong><?php _e($messages[$msg_key], 'jng_link_cloaker'); ?></strong></p></div>
            <?php
        }
    }
}

function modal_Dialog_style($width = '90%', $pad = '2%') {
    ?>
    <style>
        .modalDialog {
            position: fixed;
            font-family: Arial, Helvetica, sans-serif;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            background: rgba(0,0,0,0.8);
            z-index: 99999;
            opacity:0;
            -webkit-transition: opacity 400ms ease-in;
            -moz-transition: opacity 400ms ease-in;
            transition: opacity 400ms ease-in;
            pointer-events: none;
        }
        .modalDialog:target {
            opacity:1;
            pointer-events: auto;
        }

        .modalDialog > div {
            width: <?php echo $width; ?>;
            position: relative;
            margin: <?php echo $pad; ?> auto;
            padding: 5px 20px 13px 20px;
            border-radius: 10px;
            background: #fff;
        }
        .close {
            background: #eee;
            color: #444;
            line-height: 25px;
            position: absolute;
            right: -12px;
            text-align: center;
            top: -10px;
            width: 24px;
            text-decoration: none;
            font-weight: bold;
            -webkit-border-radius: 12px;
            -moz-border-radius: 12px;
            border-radius: 12px;
            -moz-box-shadow: 1px 1px 3px #000;
            -webkit-box-shadow: 1px 1px 3px #000;
            box-shadow: 1px 1px 3px #000;
        }

        .close:hover { background: #ddd; }
        .div_control{
            margin-left:4em;
            border-bottom:1px solid #ccc;
            padding:1em;
        }
        .c_rad{
            float:left;
            border-top:1px solid #ccc;
            border-right:1px solid #ccc;
            border-bottom: 1px solid #ccc;
            padding: 0.5em;
            margin-right:0.5em;
            width:20%;
        }
        .c_date{
            float:left;
            padding: 0.8em;
            margin-left:0.5em;
            width:60%;
            padding: 0.5em;
        }
        .div_clear{clear:both;}
    </style>
    <?php
}

function jng_delete_pop($id, $title) {
    modal_Dialog_style("400px", "10%");
    ?>
    <div id="openModal<?php echo $id ?>" class="modalDialog">
        <div>
            <a href="#close" title="Close" class="close">X</a>
            <h3>Delete Link: <?php echo $title ?></h3>
            <p>Do you really want to delete this link?</p>
            <p><a href="admin.php?page=<?php echo JNG_LINK_CLOAK_LANDING ?>&do=delete&id=<?php echo $id; ?>" class="button-primary">Yes</a> &nbsp;&nbsp;&nbsp;<a href="#close" title="No" class="button-primary">No</a></p>

        </div>
    </div>

    <?php
}

function jng_clear_db() {
    modal_Dialog_style("400px", "10%");
    ?>
    <div id="clearDBModal" class="modalDialog">
        <div>
            <a href="#close" title="Close" class="close">X</a>
            <h3>Clear Link Database</h3>
            <p>Do you really want to clear the database?</p>
            <p><a href="admin.php?page=<?php echo JNG_LINK_CLOAK_LANDING ?>&do=clrdb" class="button-primary">Yes</a> &nbsp;&nbsp;&nbsp;<a href="#close" title="No" class="button-primary">No</a></p>

        </div>
    </div>
    <?php
}

function jng_process_request() {
//process get requests
    if (array_key_exists("do", $_GET)) {
        $do = $_GET["do"];
        switch ($do) {
            case "edit":
//redirect to edit page with link id 
                $id = $_GET["id"];
                if (!$id) {
                    return true;
                }
                jng_add_new_form(null, null, $id);
                break;
            case "delete":
                jng_delete();
                break;
            case 'analytics':
                $id = $_GET["id"];
                if (!$id) {
                    return true;
                }
                jng_display_analytics($id);
                break;
            default:
//redirect to home
                $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING);
                wp_redirect($red_link, 301);
                exit;
        }
    } else {
//Post requests are processed here
        if (array_key_exists(JNG_HIDDEN, $_POST)) {
            $action = $_POST[JNG_HIDDEN];
            if ($action) {
                switch ($action) {
                    case "save_link":
                        jng_add_new();
                        break;
                    case "update_prefix":
                        jng_update_prefix();
                        break;
                    case "edit_link":
//update database with new values 
                        jng_add_new(true);
                        break;
                    case "csv":
//import csv
                        jng_import_to_db();
                        break;
                    case "delete_selected_bot":
//delete selected bots
                        $botManager = new BotManager();
                        $botManager->delete_selected_bots();
                        break;
                    case "add_bots":
//delete selected bots
                        $botManager = new BotManager();
                        $botManager->add_new_bots();
                        break;
                    case "export_delete_action":
                        $action = $_POST['jng_chosen_action'];
                        if (trim($action) == 'delete_some') {
//call delete
                            jng_delete_all(TRUE);
                        } else {
//export csv
                            jng_export_to_csv();
                        }
                        break;
                    case "post_delete":
//call delete
                        jng_delete_all();
                        break;
                }
            }
        } else {
            return true;
        }
    }
    return false;
}

function jng_update_prefix() {
// Read their posted value
    if (isset($_POST[JNG_DATA_FIELD_NAME])) {
        $opt_val = $_POST[JNG_DATA_FIELD_NAME];
// Save the posted value in the database
        if ($opt_val) {
            update_option(JNG_OPTION_NAME, $opt_val);
        }
        $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=prefix_update");
        wp_redirect($red_link, 301);
        exit;
    }
}

function key_is_unique($link_key, $link_id = null) {
    global $wpdb;
    $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;

    if ($link_id) {
        $result = $wpdb->get_row("SELECT * FROM " . $redirect_table . " WHERE id !=" . $wpdb->escape($link_id) . "  AND link_key='" . $wpdb->escape($link_key) . "' ", ARRAY_A);
    } else {
        $result = $wpdb->get_row("SELECT * FROM " . $redirect_table . " WHERE link_key='" . $wpdb->escape($link_key) . "' ", ARRAY_A);
    }
    if ($result) {
        return false;
    }
    return true;
}

function jng_add_new($edit = false) {
    $link_id = false;
    if ($edit) {
        $link_id = $_POST['link_id'];
        if (!$link_id) {

            $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=gng");
            wp_redirect($red_link, 301);
            exit;
        }
    }
    global $wpdb;
    $error_msg = array();
    $link_key = $_POST['link_key'];
    $link_target = $_POST['link_target'];
    $link_keywords = $_POST['link_keywords'];
    if ($link_keywords) {
        $link_keywords = trim($link_keywords, ",");
    }
    $link_key = preg_replace("/[^a-zA-Z0-9_-]/", "-", $link_key);
    $error = false;
    if (!$link_key) {
        $error_msg[] = "Link name cannot be empty";
        $error = true;
    }
    if (!$link_target) {
        $error_msg[] = "Link target cannot be empty";
        $error = true;
    }
    if ($link_id) {
        if (!key_is_unique($link_key, $link_id)) {
            $error_msg[] = $link_key . " has been used already";
            $error = true;
        }
    } else {
        if (!key_is_unique($link_key)) {
            $error_msg[] = $link_key . " has been used already";
            $error = true;
        }
    }


    if (!$error) {
        $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
        $clicks_table = $wpdb->prefix . JNG_CLICK_TABLE;
        if ($edit) {
            $query = "UPDATE $redirect_table SET link_key='" . $wpdb->escape($link_key) . "', link_target='" . $wpdb->escape($link_target) . "', link_keywords='" . $wpdb->escape($link_keywords) . "' WHERE id=$link_id";
            $results = $wpdb->query($query);
            $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=updated");
            wp_redirect($red_link, 301);
            exit;
        } else {
            $results = $wpdb->insert($redirect_table, array('link_key' => $link_key, 'link_target' => $link_target, 'link_keywords' => $link_keywords));
            $link_id = $wpdb->insert_id;
            $rows = $wpdb->insert($clicks_table, array('link_id' => $link_id, 'f_date' => date("Y-m-d"), 'click_hour' => date('H')));
            $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=lnk");
            wp_redirect($red_link, 301);
            exit;
        }
        return true;
    } else {
        echo '<div class="updated"><p><strong>';
        foreach ($error_msg as $e) {
            echo _e($e, "jng_link_cloaker") . '<br/>';
        }
        echo '</strong></p></div>';
        jng_add_new_form($link_key, $link_target, $link_id);
    }
}

function jng_delete() {

    $link_id = $_GET['id'];
    if ($link_id) {
        global $wpdb, $table_prefix;
        $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
        $clicks_table = $wpdb->prefix . JNG_CLICK_TABLE;
        $wpdb->query("DELETE FROM $redirect_table WHERE id = $link_id");
        $wpdb->query("DELETE FROM $clicks_table WHERE link_id = $link_id");
    }
    $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=deleted");
    wp_redirect($red_link, 301);
    exit;
}

function jng_delete_all($some = FALSE) {
    $link_ids = array();
    if (isset($_POST["jng_links"])) {
        $link_ids = $_POST["jng_links"];
    }
    ?>
    <div id="message" class="updated fade">
        <form action="admin.php?page=<?php echo JNG_LINK_CLOAK_LANDING ?>" method="post">
            <input type="hidden" name="<?php echo JNG_HIDDEN ?>" value="post_delete"/> 
            <input type="hidden" name="perform_delete" value="true"/> 
            <input type="hidden" name="the_selected_links" value="<?php echo implode(",", $link_ids); ?>"/> 
            <?php if ($some) {
                ?>
                <p><strong>Are you sure you want to delete the selected entries?</strong><br/></p>
                <?php
            } else {
                ?>
                <p><strong>Are you sure you want to clear your redirect link database entries?<br/> All your redirect link entries will be lost if you click Clear database!</strong><br/></p>
            <?php }
            ?>
            <p><input type="submit" class="button-primary" value="Yes" /> &nbsp;<a class="button-primary" href="<?php echo "admin.php?page=" . JNG_LINK_CLOAK_LANDING ?>">NO!</a></p>
        </form>

    </div>
    <?php
    if (isset($_POST["perform_delete"])) {
        $links_id = $_POST["the_selected_links"];
        $append_where_clause_red = "";
        $append_where_clause_clicks = "";
        if ($links_id) {
            $append_where_clause_red = " WHERE id IN(" . $links_id . ")";
            $append_where_clause_clicks = " WHERE link_id IN(" . $links_id . ")";
        }
        global $wpdb;
        $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
        $clicks_table = $wpdb->prefix . JNG_CLICK_TABLE;
        $clicks_query = "DELETE FROM " . $clicks_table . $append_where_clause_clicks;
        $red_query = "DELETE FROM " . $redirect_table . $append_where_clause_red;
        $wpdb->query($clicks_query);
        $wpdb->query($red_query);
        $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=dbdel");
        wp_redirect($red_link, 301);
        exit;
    }
}

function jng_export_to_csv() {
    $link_ids = FALSE;
    if (isset($_POST["jng_links"])) {
        $link_ids = $_POST["jng_links"];
    }
//fetch links from db
//build an array of the links
//export with php csv
    $csv_data = array();
    $jng_links = jng_get_all_cloak_redirect_links(true, $link_ids);
    ob_clean();
//format: array('Display Name','Link','CTR','Clicks')
// build filename using the data  and time
    $jng_csv_filename = site_url() . '-export-' . date('Ymd_His') . '-links.csv';
//output the headers for the CSV file
    header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
    header('Content-Description: File Transfer');
    header("Content-type: text/csv");
    header("Content-Disposition: attachment; filename={$jng_csv_filename}");
    header("Expires: 0");
    header("Pragma: public");

//open the file stream
    $fh = @fopen('php://output', 'w');

    $csv_data = array('Display Name', 'Link', 'CTR', 'Clicks', 'Impressions');
    fputcsv($fh, $csv_data);
    foreach ($jng_links as $j):
        if($j['link_impressions'] == 0){
            $ctr = 0;
        }
        else{
            $ctr = round(($j['link_clicks'] / $j['link_impressions']) * 100, 2);
        }
        
        $csv_data = array($j['link_key'], $j['link_target'], $ctr, $j['link_clicks'], $j['link_impressions']);
        fputcsv($fh, $csv_data);
    endforeach;
    fclose($fh);
    $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=exported");
//wp_redirect($red_link, 301);
    exit;
}

function jng_import_to_db() {
//TO DO :check file type and ensure it is csv
    global $wpdb;
    $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
    $clicks_table = $wpdb->prefix . JNG_CLICK_TABLE;
//retrieve the uploaded file
//move_to_upload folder
//$error_msg = false;
    if ($_FILES ["csv_file_import"]["error"] == 0) {

        $tmp_name = $_FILES ["csv_file_import"]["tmp_name"];
        $csvFileName = $_FILES ["csv_file_import"]["name"];
        $csv_file_dir = getUploadDirectory() . "/$csvFileName";
        move_uploaded_file($tmp_name, $csv_file_dir);
//process csv file and insert into the database
        $data_rows = array();
        $csv_data = fopen($csv_file_dir, 'r');
        $init = 0;
        while ($keys = fgetcsv($csv_data, '', ',', '"')) {

            if ($init > 0) {
                
                if (sizeof($keys) < 2) {
                    continue;
                }
                $keywords = NULL;
                if (isset($keys[2])) {
                    $keywords = str_replace(":", ",", $keys[2]);
                }

                //replace spaces with -
                $uploaded_link_key = str_replace(" ", "-", trim($keys[0]));
                $results = $wpdb->insert($redirect_table, array('link_key' => $uploaded_link_key, 'link_target' => $keys[1], "link_keywords" => $keywords));
                $link_id = $wpdb->insert_id;
                $rows = $wpdb->insert($clicks_table, array('link_id' => $link_id, 'f_date' => date("Y-m-d"), 'click_hour' => date('H')));
//array_push($data_rows, $keys);
            }
            $init++;
        }
// echo print_r($data_rows);
        fclose($csv_data);
    } else {
//display error message
    }
    $red_link = admin_url("admin.php?page=" . JNG_LINK_CLOAK_LANDING . "&m=lnk");
    wp_redirect($red_link, 301);
    exit;
}

function getUploadDirectory() {
    $upload_dir = wp_upload_dir();
    $dir = $upload_dir ['basedir'] . "/" . JNG_UPLOAD_DIRECTORY;
    if (!is_dir($dir)) {
        wp_mkdir_p($dir);
    }
    return $dir;
}

add_action('wp_ajax_jng_get_all_links', 'jng_get_all_links');

function jng_get_all_links() {
    $rfrfr = jng_get_all_cloak_redirect_links(FALSE, FALSE);
    echo json_encode($rfrfr);
    die();
}

function jng_get_all_cloak_redirect_links($join = FALSE, $link_ids = FALSE) {

    global $wpdb;
    $append_where_clause = '';
    if ($link_ids) {
        $append_where_clause = " WHERE jng_r.id IN(" . implode(",", $link_ids) . ")";
    }
    $redirect_table = $wpdb->prefix . JNG_REDIRECT_TABLE;
    $query = "SELECT jng_r.id,jng_r.link_key, jng_r.link_target,jng_r.link_keywords,jng_r.link_views FROM $redirect_table AS jng_r" . $append_where_clause;
    if ($join) {
        $clicks_table = $wpdb->prefix . JNG_CLICK_TABLE;
        $query = "SELECT jng_r.id,jng_r.link_key, jng_r.link_target,jng_r.link_views,jng_r.link_keywords,SUM(jng_c.link_clicks) as link_clicks,SUM(jng_c.link_views) as link_impressions FROM $redirect_table AS jng_r LEFT JOIN $clicks_table AS jng_c ON jng_r.id = jng_c.link_id" . $append_where_clause . " GROUP BY jng_c.link_id";
    }
//echo "felix_ui".$query;
    return $wpdb->get_results($query, ARRAY_A);
}

function jng_super_cloak_tmce_plugin() {

    add_filter("mce_external_plugins", "add_super_cloak_samurai_tmce_plugin");
    add_filter('mce_buttons', 'register_super_cloak_samurai_button');
}

function register_super_cloak_samurai_button($buttons) {
    array_push($buttons, "separator", "SuperCloakSamurailTinyMCE");
    return $buttons;
}

function add_super_cloak_samurai_tmce_plugin($plugin_array) {
    global $wp_version;
    $plugin_array['SuperCloakSamurailTinyMCE'] = JNG_LINK_CLOAK_URL . "wp_sales_chimp_tinymce_older.php";
    if (version_compare($wp_version, "3.9", '>=')) {
        $plugin_array['SuperCloakSamurailTinyMCE'] = JNG_LINK_CLOAK_URL . "wp_sales_chimp_jngp_tinymce_new.php";
    }
    return $plugin_array;
}

function tmce_style() {
    ?>
    <style type="text/css">
        #content_SuperCloakSamurailTinyMCEList_text{
            padding-right: 1.6em;
        }
        #menu_content_content_SuperCloakSamurailTinyMCEList_menu_co{
            max-width: 230px !important;
            width: auto !important;
        }
    </style>
    <?php
}

// init process for button control
add_action('admin_head', 'tmce_style');
add_action('init', 'jng_super_cloak_tmce_plugin');

function jng_replace_keywords_in_content($content) {
    $prefix_value = get_option(JNG_URL_PREFIX_OPTION_NAME);
    $siteurl = get_option('siteurl');

    $fetched_links = jng_get_all_cloak_redirect_links();
    if ($fetched_links) {
        foreach ($fetched_links as $link) {
            if ($link['link_keywords']) {
                $link_keyword_matched = false;

                $target = $siteurl . '/' . $prefix_value . '/' . $link['link_key'];
                $link_keywords = split(",", $link['link_keywords']);

                foreach ($link_keywords as $link_keyword) {
                    $link_keyword = trim($link_keyword);
                    $link_keyword_uppercase = strtoupper($link_keyword);
                    $link_keyword_ucfirst = ucfirst($link_keyword);

                    $replace_value = '<a href = "' . $target . '" target = "_blank" class="wpsaleschimpautoadd">' . $link_keyword . '</a>';
                    $replace_value_uppercase = '<a href = "' . $target . '" target = "_blank" class="wpsaleschimpautoadd">' . $link_keyword_uppercase . '</a>';
                    $replace_value_ucfirst = '<a href = "' . $target . '" target = "_blank" class="wpsaleschimpautoadd">' . $link_keyword_ucfirst . '</a>';

                    if (@preg_match('/[^(class="wpsaleschimpautoadd">)//]\b' . $link_keyword_uppercase . "\b/", $content)) {
                        $content = preg_replace('/\b[^(class="wpsaleschimpautoadd">)//]\b' . $link_keyword_uppercase . "\b/", $replace_value_uppercase, $content);
                        $link_keyword_matched = true;
                    }
                    if (@preg_match('/[^(class="wpsaleschimpautoadd">)//]\b' . $link_keyword_ucfirst . "\b/", $content)) {
                        $content = preg_replace('/\b[^(class="wpsaleschimpautoadd">)//]\b' . $link_keyword_ucfirst . "\b/", $replace_value_ucfirst, $content);
                        $link_keyword_matched = true;
                    }
                    if (@preg_match('/[^(class="wpsaleschimpautoadd">)//]\b' . $link_keyword . "\b/", $content)) {
                        $content = preg_replace('/[^(class="wpsaleschimpautoadd">)//]\b' . $link_keyword . "\b/", $replace_value, $content);
                        $link_keyword_matched = true;
                    }
                }
                if ($link_keyword_matched) {
                    $content .= '<input class="cloak-view-tracker" type="hidden" value="' . $link['id'] . '" />';
                }
            }
        }
    }
    return $content;
}

add_filter("content_save_pre", 'jng_replace_keywords_in_content', 10, 1);
