<?php

add_action('admin_menu', 'jng_add_options_menu');

function jng_add_options_menu() {
    add_menu_page(__('WP Sales Chimp', 'super_cloak_samurai'), __('WP Sales Chimp', 'super_cloak_samurai'), 'manage_options', JNG_LINK_CLOAK_LANDING, 'link_admin_page', plugins_url('img/menu.png', dirname(__FILE__)));
    add_submenu_page(JNG_LINK_CLOAK_LANDING, __('Add new', 'super_cloak_samurai'), __('Add New Prefix', 'super_cloak_samurai'), 'manage_options', JNG_LINK_CLOAK_ADD_NEW_PREFIX, 'jng_add_new_prefix');
    add_submenu_page(JNG_LINK_CLOAK_LANDING, __('Create new link', 'super_cloak_samurai'), __('Create Campaign', 'super_cloak_samurai'), 'manage_options', JNG_LINK_CLOAK_ADD, 'jng_add_new_link');
    add_submenu_page(JNG_LINK_CLOAK_LANDING, __('Clear database', 'super_cloak_samurai'), __('Clear Database', 'super_cloak_samurai'), 'manage_options', JNG_LINK_CLOAK_CLEAR_DB, 'jng_delete_db_menu');
    add_submenu_page(JNG_LINK_CLOAK_LANDING, __('Export CSV', 'super_cloak_samurai'), __('Export Campaign', 'super_cloak_samurai'), 'manage_options', JNG_LINK_CLOAK_EXPORT, 'jng_export_csv');
    add_submenu_page(JNG_LINK_CLOAK_LANDING, __('Exclude bots', 'super_cloak_samurai'), __('Exclude Bots', 'super_cloak_samurai'), 'manage_options', JNG_LINK_CLOAK_EXCLUDE_BOT, 'jng_exclude_bots');
}

function link_admin_page() {
    jng_menu_head();
    $render_ui = jng_process_request();
    if ($render_ui) {
        $opt_val = get_option(JNG_URL_PREFIX_OPTION_NAME);
        //jng_prefix_options_form($opt_val, JNG_HIDDEN, JNG_DATA_FIELD_NAME);
        jng_view_all($opt_val);
    }
    jng_wrap_footer();
}

function jng_add_new_link() {
    jng_menu_head();
    $render_ui = jng_process_request();
    if ($render_ui) {
        jng_add_new_form();
    }
    jng_wrap_footer();
}

function jng_view_all_links() {
    jng_view_all();
}

function jng_delete_db_menu() {
    jng_delete_all();
}

function jng_export_csv() {
    jng_export_to_csv();
}

function jng_exclude_bots() {
    jng_menu_head();
    $botManager = new BotManager(FALSE);
    $botManager->botOptionForm();
}

function jng_add_new_prefix() {
    $opt_val = get_option(JNG_URL_PREFIX_OPTION_NAME);
    jng_prefix_options_form($opt_val, JNG_HIDDEN, JNG_DATA_FIELD_NAME);
}

