(function() {
    tinymce.create('tinymce.plugins.SuperCloakSamurailTinyMCE', {
        init: function(ed, url) {

            ed.addButton('SuperCloakSamurailTinyMCE', {
                type: 'listbox',
                text: 'My listbox',
                icon: false,
                onselect: function(v) {
                    var selection = tinyMCE.activeEditor.selection.getContent();
                    // alert("S="+selection);
                    var linkText = selection === '' ? 'link text...' : selection;
                    var cloakedLinkValue = this.value();
                    var array_val = cloakedLinkValue.split('$:$');
                    var httpLink = array_val[1];
                    var linkDbId = array_val[0];
                    var insert = '<input value="' + linkDbId + '" class="cloak-view-tracker" type="hidden"/><a href="' + httpLink + '" target="_blank">' + linkText + '</a>';
                    tinyMCE.activeEditor.selection.setContent(insert);
                },
                values: [
                    {text: 'Menu item 1', value: '1$:$http://goal.com'},
                    {text: 'Menu item 2', value: 'Some text 2'},
                    {text: 'Menu item 3', value: 'Some text 3'}
                ],
                onPostRender: function() {
                }
            });
        },
        /**
         * Returns information about the plugin as a name/value array.
         * The current keys are longname, author, authorurl, infourl and version.
         *
         * @return {Object} Name/value array containing information about the plugin.
         */
        getInfo: function() {
            return {
                longname: 'SuperCloakSamurailTinyMCE',
                author: 'marquex',
                authorurl: 'http://marquex.es',
                infourl: 'http://marquex.es/387/adding-a-select-box-to-wordpress-tinymce-editor',
                version: "0.1"
            };
        }
    });

    // Register plugin
    tinymce.PluginManager.add('SuperCloakSamurailTinyMCE', tinymce.plugins.SuperCloakSamurailTinyMCE);
})();
